import 'package:flutterx_http/src/adapter/adapter.dart';

class BaseUrlInterceptor implements XHttpInterceptor {
  final String baseUrl;

  const BaseUrlInterceptor(this.baseUrl);

  @override
  Future<XHttpResponse> intercept(XHttpRequest request, XHttpRequestOptions options, InterceptorChain next) {
    final url = request.url.toString();
    if (url.startsWith('/'))
      request = request.copy(url: Uri.parse(baseUrl.endsWith('/') ? '$baseUrl${url.substring(1)}' : '$baseUrl$url'));
    return next(request, options);
  }
}
